### File

`packages/components/eui-dialog/container/eui-dialog-container.component.ts`

### Description

Container component that orchestrates the rendering and lifecycle of dialog content. Manages three distinct sections (header, body, footer) that can be rendered as either template portals or component portals. Handles dialog actions (accept/dismiss), button state management, and accessibility attributes. Typically instantiated by the dialog service and should not be used directly in application code.

### Implements

`OnInit` `OnDestroy` `AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-dialog-container`
imports | `AsyncPipe` `TranslateModule` `PortalModule` `OverlayModule` `A11yModule` `DragDropModule` `CdkScrollableModule` `EUI_BUTTON` `EUI_ICON` `EUI_ICON_BUTTON` `EUI_ICON_STATE`
templateUrl | `./eui-dialog-container.component.html`
styleUrl | `../eui-dialog.scss`

### Index

###### Properties
Public acceptButtonDisabled$ Public bodyComponentPortal cd Public componentInstances dialogBody dialogContainerConfig Public dismissButtonDisabled$ Public footerComponentPortal Public headerComponentPortal Public isBodyComponentPortal Public isBodyTemplatePortal Public isFooterComponentPortal Public isFooterTemplatePortal Public isHeaderComponentPortal Public isHeaderTemplatePortal string
###### Methods
Public closeDialog Public disableAcceptButton Public disableDismissButton Public enableAcceptButton Public enableDismissButton Public getContentId Public onAccept Public onDismiss Public onScroll Public portalAttached Public scrollToBottom Public scrollToTop
###### Inputs
closeButtonAriaLabel
###### HostBindings
class
###### Accessors
getComponentInstances getPortalOutlet dialogContainerConfigContent

### Inputs

closeButtonAriaLabel
Type : `string`
Default value : `'Close dialog'`
Accessible label for the close button in the dialog header. Used by screen readers to announce the button's purpose.

### HostBindings

class
Type : `string`
Default value : `'eui-dialog-container'`

### Methods

Public closeDialog
`closeDialog()`
Returns : `void`

Public disableAcceptButton
`disableAcceptButton()`
Disable Accept button of default eui-dialog footer. Returns : `void`

Public disableDismissButton
`disableDismissButton()`
Disable Dismiss button of default eui-dialog footer. Returns : `void`

Public enableAcceptButton
`enableAcceptButton()`
Enable Accept button of default eui-dialog footer. Returns : `void`

Public enableDismissButton
`enableDismissButton()`
Enable Dismiss button of default eui-dialog footer. Returns : `void`

Public getContentId
`getContentId()`
Based on certain conditions returns the id of the body content to the aria-describedby attr of the container Returns : `string`

Public onAccept
`onAccept()`
Returns : `void`

Public onDismiss
`onDismiss()`
Returns : `void`

Public onScroll
`onScroll()`
Returns : `void`

Public portalAttached
`portalAttached(attachedRef: CdkPortalOutletAttachedRef, component: "headerComponent" | "bodyComponent" | "footerComponent")`
Parameters :
Name | Type | Optional
attachedRef | `CdkPortalOutletAttachedRef` | No
component | `"headerComponent" | "bodyComponent" | "footerComponent"` | No
Returns : `void`

Public scrollToBottom
`scrollToBottom()`
Returns : `void`

Public scrollToTop
`scrollToTop()`
Returns : `void`

### Properties

Public acceptButtonDisabled$
Type : `BehaviorSubject<boolean>`
Default value : `new BehaviorSubject<boolean>(false)`

Public bodyComponentPortal
Type : `ComponentPortal<BC>`

cd
Type : `unknown`
Default value : `inject(ChangeDetectorRef)`

Public componentInstances
Type : `unknown`
Default value : `new EuiDialogComponentInstances<HC, BC, FC>()`

dialogBody
Type : `ElementRef<HTMLElement>`
Decorators : `@ViewChild('dialogBody', {read: ElementRef})`

dialogContainerConfig
Type : `unknown`
Default value : `inject<EuiDialogInterface<HC, HCC, BC, BCC, FC, FCC>>(DIALOG_CONTAINER_CONFIG)`

Public dismissButtonDisabled$
Type : `BehaviorSubject<boolean>`
Default value : `new BehaviorSubject<boolean>(false)`

Public footerComponentPortal
Type : `ComponentPortal<FC>`

Public headerComponentPortal
Type : `ComponentPortal<HC>`

Public isBodyComponentPortal
Type : `unknown`
Default value : `false`

Public isBodyTemplatePortal
Type : `unknown`
Default value : `false`

Public isFooterComponentPortal
Type : `unknown`
Default value : `false`

Public isFooterTemplatePortal
Type : `unknown`
Default value : `false`

Public isHeaderComponentPortal
Type : `unknown`
Default value : `false`

Public isHeaderTemplatePortal
Type : `unknown`
Default value : `false`

string
Type : `string`
Default value : `'eui-dialog-container'`
Decorators : `@HostBinding('class')`

### Accessors

getComponentInstances
get `getComponentInstances()`

getPortalOutlet
get `getPortalOutlet()`

dialogContainerConfigContent
get `dialogContainerConfigContent()`

# results matching ""

# No results matching ""